// You can import API functions like this from D3.js.
import { select } from 'd3';
import {rectData} from './data.js'

const svgHeight = 960;
const svgWidth = 500;

console.log(rectData)

const svg = select('body').append('svg')
  svg.attr('width',svgWidth)
     .attr('height',svgHeight)

const rectHeight = 200; 
const rectWidth = 100;
 
const rect = svg.selectAll('rect') 
  .data(rectData)
  
  rect
    .enter().append('rect')  
      .transition()  
        .duration(5000) 
        .delay(250)
      .attr('width', d => d)
 
      .attr('height',d => d)

      .attr('fill','rgb(5, 62, 252)')

      .attr('opacity', 0.3)
